Skip to navigation

Update NVIDIA NIM service spec. [Experimental]

View as Markdown
Update the specification of an existing NVIDIA NIM service.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

WorkloadV2IdstringRequiredformat: "uuid"

Request

This endpoint expects an object.
specobjectRequired
fieldsToRemovelist of enumsOptional

List of field names to remove from the NIM service spec. Note: replicas and autoscaling are mutually exclusive - adding one automatically removes the other.

Response

Workload update request accepted
metadataobject
desiredPhaseenum
The desired phase of the workload.
Allowed values:
specobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error